package com.zjrs.zwnw.fxfk.entity;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.fxfk.dto.*;

import java.util.List;

@Mapper
public interface SsywjkMapper {

    //在办业务量TOP10
    public List<Zbtop10ListDTO> getZbtop10List(@Param("dto") Zbtop10DTO dto);
    //分布趋势受理量-近一月
    public List<FbqssllListDTO> getFbqsSllBy1Month();
    //分布趋势受理量-近三月
    public List<FbqssllListDTO> getFbqsSllBy3Month();
    //分布趋势受理量-近一周
    public List<FbqssllListDTO> getFbqsSllBy1Week();
    //各地区分布趋势受理量-近一月
    public List<FbqssllDqListDTO> getFbqsSllDqBy1Month();
    //各地区分布趋势受理量-近三月
    public List<FbqssllDqListDTO> getFbqsSllDqBy3Month();
    //各地区分布趋势受理量-近一周
    public List<FbqssllDqListDTO> getFbqsSllDqBy1Week();
    //全市业务监控
    public List<QsywjkDTO> getQsywjk();
    //全市业务监控各地区
    public List<QsywjkDqDTO> getQsywjkDq();


}
